{ pkgs ? import <nixpkgs> { }
, stdenv ? pkgs.stdenv
, fetchurl ? pkgs.fetchurl
, buildLuarocksPackage ? pkgs.lua53Packages.buildLuarocksPackage
, luaOlder ? pkgs.luaPackages.luaOlder
, luaAtLeast ? pkgs.luaPackages.luaAtLeast, ... }:
with pkgs;
buildLuarocksPackage {
  pname = "ln";
  version = "0.2.0";
  src = fetchurl {
    url = "https://luarocks.org/manifests/xe/ln-0.2.0-1.src.rock";
    sha256 = "0ff0139d8fkyp35csfs75b1jn9q37v5y35wzml82ff35k0sgwkam";
  };
  propagatedBuildInputs = [ lua5_3 ];
  disabled = (luaOlder "5.2") || (luaAtLeast "5.4");

  meta = {
    homepage = "https://tulpa.dev/cadey/lua-ln";
  };

  buildInputs = [ luaPackages.dkjson ];
}
